## dpkg 1.10.22ubuntu2.1

=== debian/changelog ===
dpkg (1.10.22ubuntu2.1) warty-security; urgency=low

  * SECURITY UPDATE: Rebuild against new zlib version to fix zlib
    vulnerabilities CAN-2005-1849 and CAN-2005-2096.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 21 Jul 2005 11:30:16 +0000
