## dpkg 1.10.25

=== debian/changelog ===
dpkg (1.10.25) unstable; urgency=low

  The "你他媽的天下所有的人都該死" Release.

  This release is to correct the mangled Simplified Chinese translation
  included in 1.10.24 caused by rebellion of the translator's mail client.

  * Updated Translations (Christian Perrier):
    - Dutch (Bart Cornelis).  Closes: #278700.
    - Polish (Bartosz Fenski).  Closes: #280406.
    - Simplified Chinese (Tchaikov, Carlos Liu).  Closes: #278676.

 -- Scott James Remnant <scott@netsplit.com>  Thu, 11 Nov 2004 20:06:57 +0000

dpkg (1.10.24) unstable; urgency=low

  The "Donald, where's your troosers?" Release.

  * Add support for uncompressed data.tar archive members and bzip2-
    compressed data.tar.bz2 members of binary packages.  Closes: #34727.

  * New Translations (Christian Perrier):
    - Basque (Piarres Beobide).  Closes: #265491.
    - Greek (George Papamichelakis).  Closes: #260809.
    - Hebrew (Lior Kaplan).  Closes: #275267.
    - Simplified Chinese (Tchaikov, Carlos Liu).  Closes: #265197.
  * Updated Translations (Christian Perrier):
    - Brazilian Portuguese (Andre Luis Lopes).  Closes: #260964, #273947,
      #278063.
    - Czech (Miroslav Kure).  Closes: #255904, #278178.
    - Catalan (Jordi Mallach).  Closes: #278098.
    - Danish (Claus Hindsgaul).  Closes: #278097.
    - Dutch (Bart Cornelis).  Closes: #268271, #268886, #274366, #278061.
    - Galician (Hector Fernandez).
    - German (Michael Piefel).  Closes: #276462, #278168.
    - French (Christian Perrier).
    - Japanese (Kenshi Muto).  Closes: #272456, #278141.
    - Italian (Lele Gaifax).
    - Korean (Changwoo Ryu).  Closes: #261528, #278142.
    - Norwegian Nynorsk (Håvard Korsvoll).  Closes: #275387, #278286.
    - Polish (Bartosz Fenski).  Closes: #268452, #278064.
    - Portuguese (Miguel Figueiredo).  Closes: #268266, #261424, #261519,
      #278294.
    - Russian (Yuri Kozlov).  Closes: #268452, #278154.
    - Spanish (Javier Fernández-Sanguino Peña).  Closes: #277173, #278117.
    - Swedish (Peter Karlsson).
  * Updated Manpage Translations (Christian Perrier):
    - French (Philippe Batailler).  Closes: #268048.
    - Spanish (Ruben Porras).  Closes: #261807.
    - Swedish (Peter Karlsson).

 -- Scott James Remnant <scott@netsplit.com>  Wed, 27 Oct 2004 09:25:58 +0100

dpkg (1.10.23) unstable; urgency=low

  The "Let the Wookie win" Release.

  * Updated hurd start-stop-daemon support.  Closes: #133640, #254180.
  * Removed usage of non-POSIX test options.  Closes: #256302.

  * Architecture Support:
    - Renamed x86-64 to amd64.  Closes: #252346, #254598.
  * Documentation:
    - Correct typo in dpkg-divert(8).  Closes: #254175.
  * New Translations:
    - Korean (Changwoo Ryu).  Closes: #254590.
  * Updated Translations:
    - Catalan (Jordi Mallach).
    - Danish (Claus Hindsgaul).  Closes: #252407.
    - French (Christian Perrier).  Closes: #252586.
    - Italian (Lele Gaifax).
    - Polish (Bartosz Fenski).  Closes: #254209.
    - Spanish manpages (Ruben Porras).  Closes: #246158, #246159, #246160,
      #246161, #246162, #246163, #246164.

 -- Scott James Remnant <scott@netsplit.com>  Mon, 19 Jul 2004 19:52:14 +0100
