## dpkg 1.10.27ubuntu1

=== debian/changelog ===
dpkg (1.10.27ubuntu1) hoary; urgency=low

  * Take Replaces into account when installing packages; don't issue a
    "trying to overwrite" error if the file that already exists is in
    a package that Replaces the one being installed.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 17 Mar 2005 02:19:23 +0000

dpkg (1.10.27) unstable; urgency=low

  The "Grab your gun and bring in the cat" Release.

  * New Translations (Christian Perrier):
    - Indonesian (Arief S Fitrianto).
    - Norwegian Bokmal (Bjorn Steensrud).
  * Updated Translations (Christian Perrier):
    - Dutch (confusing option corrected by Christian Perrier).
    - Galician (Jacobo Tarrio).
    - Korean (Seo Sanghyeon).
    - Simplified Chinese (Carlos Liu).
    - Traditional Chinese (Asho Yeh).

 -- Scott James Remnant <scott@netsplit.com>  Thu, 10 Feb 2005 15:10:22 +0000

dpkg (1.10.26ubuntu1) hoary; urgency=low

  * build with extended status-fd output (needed for synaptic)
    (from michael.vogt@canonical.com--2004/dpkg--stable-mvo--1.10,
     http://people.ubuntu.com/~mvo/arch/laptop)

 -- Michael Vogt <mvo@debian.org>  Wed, 19 Jan 2005 22:11:55 +0100

dpkg (1.10.26) unstable; urgency=low

  The "Captain Tight-Pants" Release.

  * Fix incorrect claim that 'Q' in dselect quits without saving changes
    (really 'X').
  * Revert to current 'stable' behaviour of Space/Enter/'Q' in the dselect
    help screen, Space leaves the help screen and Enter and 'Q' do nothing.
    It's dangerous to encourage users to press Enter or 'Q' since they
    commit changes in the package selection screen.

  * New Translations (Christian Perrier):
    - Basque (Piarres Beobide Egaña).  Closes: #281245.
      (Was really added in 1.10.24, but forgotten from ALL_LINGUAS.)
    - Bosnian (Safir Šećerović).
    - Slovak (benco).  Closes: #284896, #289341
    - Traditional Chinese (Asho Yeh).  Closes: #287375.
  * Updated Translations (Christian Perrier):
    - Brazilian Portuguese (André Luís Lopes).  Closes: #281228.
    - Catalan (Jordi Mallach).  Closes: #281333.
    - Czech (Miroslav Kure).  Closes: #281231.
    - Danish (Claus Hindsgaul).  Closes: #281103.
    - Dutch (Christian Perrier).  Closes: #282087.
    - Galician (Héctor Fernéndez López).
    - German (Michael Piefel).  Closes: #281503.
    - Italian (Stefano Canepa). Closes: #282543.
    - Japanese (Kenshi Muto).  Closes: #281144.
    - Korean (Changwoo Ryu).  Closes: #282246.
    - Norwegian Nynorsk (Håvard Korsvoll).  Closes: #281456.
    - Polish (Bartosz Feñski).
    - Portuguese (Miguel Figueiredo).  Closes: #281122, #289359.
    - Russian (Yuri Kozlov).  Closes: #281166.
    - Simplified Chinese (Tchaikov, Carlos Liu).
    - Spanish (Javier Fernández-Sanguino Peña).  Closes: #281117.
    - Swedish (Peter Karlsson).  Closes: #281165.

 -- Scott James Remnant <scott@netsplit.com>  Tue, 11 Jan 2005 16:26:51 +0000
