## dpkg 1.10.27ubuntu1.1

=== debian/changelog ===
dpkg (1.10.27ubuntu1.1) hoary-security; urgency=low

  * SECURITY UPDATE: Rebuild against new zlib version to fix zlib
    vulnerabilities CAN-2005-1849 and CAN-2005-2096.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 21 Jul 2005 11:45:24 +0000
