## dpkg 1.10.27ubuntu2

=== debian/changelog ===
dpkg (1.10.27ubuntu2) hoary-updates; urgency=low

  * When copying the forward dependency tree on unpack, blank the version
    field of each unversioned dependency rather than leaving it
    uninitialised.  Closes: Ubuntu #13306.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Aug 2005 10:02:57 +0100
