=== methods/Makefile ===

srcdir		= .
top_srcdir	= ..

default: all
include ../Makefile.conf

# Available methods
METHODS			= disk floppy
# Scripts each method must have
METHOD_SCRIPTS		= setup update install

.PHONY: all
all:: 

.PHONY: install
install:: all install-program install-doc

.PHONY: clean
clean::

.PHONY: distclean
cvslean:: clean
	$(RM) Makefile

.PHONY: install-program
install-program:
	$(mkinstalldirs) $(DESTDIR)$(methodsdir)
	$(mkinstalldirs) $(DESTDIR)$(admindir)/methods/mnt
	set -e ; for m in $(METHODS) ; do \
		$(mkinstalldirs) $(DESTDIR)$(admindir)/methods/$$m ; \
		$(mkinstalldirs) $(DESTDIR)$(methodsdir)/$$m ; \
		for s in $(METHOD_SCRIPTS) ; do \
		    	$(INSTALL_SCRIPT) $(srcdir)/$$m.$$s $(DESTDIR)$(methodsdir)/$$m/$$s ; \
		done ; \
		$(INSTALL_DATA) $(srcdir)/$$m.names $(DESTDIR)$(methodsdir)/$$m/names ; \
		for n in `cut -d ' ' -f 2 $(srcdir)/$$m.names` ; do \
			rn=`echo $$n | $(SED) -e 's,\.,/,'` ; \
			$(INSTALL_DATA) $(srcdir)/$$m.desc.$$n $(DESTDIR)$(methodsdir)/$$m/desc.$$n ; \
		done ; \
	done

.PHONY: install-doc
install-doc:
