=== optlib/Makefile ===

srcdir		= .
top_srcdir	= ..

default: all
include ../Makefile.conf

SOURCES		= getopt.c getopt1.c long-options.c closeout.c obstack.c

OBJECTS		= $(patsubst %.c, %.o, $(SOURCES))
GENFILES	= $(OBJECTS) libopt.a

.PHONY: all
all:: libopt.a
	
libopt.a: $(OBJECTS)
	$(AR) r $@ $^
	$(RANLIB) $@

.PHONY: install
install:: all

.PHONY: clean
clean::
	$(RM) $(GENFILES)


.PHONY: distclean
cvslean:: clean
	$(RM) Makefile
