=== debian/changelog ===
dpkg (1.10.28) unstable; urgency=low
  
  The "Awh, yeah?  Ripper!" Release.

  * New Translations (Christian Perrier):
    - Romanian (Eddy Petrisor).  Closes: #309714.
    - Tagalog (Eric Pareja).  Closes: #296407.
  * Updated Translations (Christian Perrier):
    - French (Christian Perrier).
    - Greek (Konstantinos Margaritis).  Closes: #295922
    - Indonesian (Arief S Fitrianto).  Closes: #296733
  * Updated Manpage Translations (Christian Perrier):
    - French (Philippe Batailler).
    - Syntax error corrected in Brazilian Portuguese man page for
      update-alternatives.  Closes: #300646

 -- Scott James Remnant <scott@netsplit.com>  Thu, 26 May 2005 18:18:10 +0100
