=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: dpkg
 Section: base
 Priority: required
-Maintainer: Scott James Remnant <scott@netsplit.com>
+Maintainer: Dpkg Development <debian-dpkg@lists.debian.org>
+Uploaders: Scott James Remnant <scott@netsplit.com>
 Origin: debian
 Bugs: debbugs://bugs.debian.org
 Standards-Version: 3.5.8
-Build-Depends: debiandoc-sgml, sgml-base (>= 1.9.1), sgmltools-lite, libncurses-dev, gettext (>= 0.12.1-3), zlib1g-dev (>= 1:1.1.3-19.1), autotools-dev
+Build-Depends: debiandoc-sgml, sgml-base (>= 1.9.1), sgmltools-lite, libncurses-dev, gettext (>= 0.12.1-3), zlib1g-dev (>= 1:1.1.3-19.1), libbz2-dev, autotools-dev
 
 Package: dpkg
 Architecture: any
