=== debian/rules ===
--- 
+++ 
@@ -60,6 +60,7 @@
 		--localstatedir=/var/lib \
 		--with-admindir=/var/lib/dpkg \
 		--with-zlib=static \
+		--with-bz2lib=static \
 		--with-static-progs \
 		$(config_arg)
 	touch $@
