## dpkg 1.13.10ubuntu4

=== debian/changelog ===
dpkg (1.13.10ubuntu4) breezy; urgency=low

  * Don't consider it a file conflict if the package contains
    a symlink to a directory where another package already contains the
    same symlink/directory and the existing and new symlinks point to the
    same place.  Ubuntu 16133.

 -- Ian Jackson <iwj@ubuntu.com>  Sat, 24 Sep 2005 18:07:25 +0100

dpkg (1.13.10ubuntu3) breezy; urgency=low

  * Improve processing of disappearing conffiles.
    This is part of the fix for Debian bug #108587.

 -- Ian Jackson <iwj@ubuntu.com>  Tue, 13 Sep 2005 19:32:44 +0100

dpkg (1.13.10ubuntu2) breezy; urgency=low

  Merged fixes from 1.13.11:
  * Re-worked dpkg-source -x to allow all manner of strange things maintainers
    seem to do, unpacking isn't the right place to enforce sanity; we'll
    do it in -b later on >:-).
  * Fixed castration of potentially unsafe devices to not follow symlinks.
  * Marked log file descriptor as close-on-exec.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 25 Aug 2005 02:04:45 +0100

dpkg (1.13.10ubuntu1) breezy; urgency=low

  * When copying the forward dependency tree on unpack, blank the version
    field of each unversioned dependency rather than leaving it
    uninitialised.  Closes: Ubuntu #13306.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 11 Aug 2005 17:30:22 +0100

dpkg (1.13.10) unstable; urgency=low
  
  The "Bully's Special Prize" Release.

  * Removed /usr/sbin/start-stop-daemon.  Closes: #313400.
  * Fixed md5sum diversion removal.  Closes: #313415.
  * Fixed dpkg-source to handle native tarballs with a Debian revision.
    Closes: #313381, #313433.
  * Fixed upgrade from pre-sarge dpkg outside of dselect.  Closes: #314575.
  * Changed log times to be local rather than UTC.  Closes: #313347.
  * Changed log writing to be line-buffered.  Closes: #314550.
  * Moved log creation to postinst, and don't fail if base-passwd hasn't
    been configured yet.  Closes: #316084.
  * Don't try to compile in SELinux support on Hurd.  Closes: #313398.
  * Place code for SELinux support in the right place so it will actually
    get compiled in and used (Manoj Srivastava).  Closes: #314886.

  * Documentation:
    - Added missing word to dpkg-architecture manpage.  Closes: #313554.
    - Reference to dpkg manpage in dpkg.cfg corrected.  Closes: #314262.
  * Updated Translations (Christian Perrier):
    - Basque (Piarres Beobide Egana).  Closes: #313474.
    - Catalan (Jordi Mallach).  Closes: #313288.
    - Czech (Miroslav Kure).  Closes: #314431.
    - Danish (Claus Hindsgaul).
    - French (Christian Perrier).
    - German (Jens Seidel).  Closes: #314125.
    - Greek (Greek team).  Closes: #314828.
    - Italian (Lele Gaifax).
    - Japanese (Kenshi Muto).  Closes: #313330.
    - Russian (Yuri Kozlov).  Closes: #313620.
  * Hebrew translation de-activated on request of the translator until there
    is better support for RTL languages.  Closes: #313282.

 -- Scott James Remnant <scott@netsplit.com>  Tue, 28 Jun 2005 14:19:06 +0100

dpkg (1.13.9) unstable; urgency=low
  
  The "On like Donkey Kong" Release.

  * Only open the log file when we first need to write to it, this avoids
    the need to suppress errors when not root which fakeroot defeated anyway.
  * Stop dpkg-source clobbering an existing .orig directory during unpacking.
    Closes: #21236.
  * Allow an alternate output directory to be specified to dpkg-source by
    giving a second argument to -x.  Closes: #246802, #282323.
  * Added .arch-inventory to default diff ignore regexp.  Closes: #304297.

  SELinux support (Manoj Srivastava):
  * On SELinux-enabled systems, try to set the security context when the
    package is unpacked.  Closes: #193653, #249496, #307139.
  * Added build-dependancy on libselinux1-dev.

  Improvements to dpkg-source (Brendan O'Dea):
  * Support unpacking of "Wig And Pen" (Format 2.0) source packages.
  * Multiple pristine upstream tarballs allowed.
  * Native and upstream tarballs may be bzip2-compressed instead of gzip,
    as may the debian diff or tarball.
  * Unsupported format error fixed to output the unsupported format
    rather than the supported one.  Closes: #156317.

 -- Scott James Remnant <scott@netsplit.com>  Sun, 12 Jun 2005 15:52:43 +0100

dpkg (1.13.8) experimental; urgency=low
  
  The "In like Flynn" Release.

  * Linux 2.6.12 changed the behaviour of mmap to fail and set EINVAL when
    given a zero length, rather than returning NULL.  This is POSIXly
    correct, so handle zero-length package control files (like available).

 -- Scott James Remnant <scott@netsplit.com>  Fri, 10 Jun 2005 07:39:44 +0100

dpkg (1.13.7) experimental; urgency=low
  
  The "Maidenhead Creeping Water Plant" Release.

  * Reduced inability to open a log file to a warning, suppressed for
    non-root operations.  Closes: #312383.

 -- Scott James Remnant <scott@netsplit.com>  Thu,  9 Jun 2005 06:12:56 +0100

dpkg (1.13.6) experimental; urgency=low
  
  The "Just kidding about the God part" Release.

  * Fixed incorrect installation location of /etc/logrotate.d/dpkg caused
    by a mis-understanding of dh_install's abilities.

 -- Scott James Remnant <scott@netsplit.com>  Mon,  6 Jun 2005 05:58:36 +0100

dpkg (1.13.5) experimental; urgency=low
  
  The "Flatulent Elm of West Ruislip" Release.

  * Actions and package states are now logged by default in the
    /var/log/dpkg.log file.  This file is rotated monthly and can be
    disabled by commenting the line in /etc/dpkg/dpkg.cfg.
  * User decisions about conffiles are now logged.
  * dpkg-source no longer complains about Enhances field.  Closes: #159642,
    #159745, #159746.
  * preinst no longer relies on procps being installed.  Closes: #311808.

  * Architecture Support:
    - Change DEB_*_GNU_CPU from i386 to i486, to reflect reality.
      DEB_*_ARCH_CPU remains at i386, you should be checking against that.
      Closes: #310394.
    - Fixed order ostable is read to prevent Linux becoming the Hurd.
      Closes: #309603.

